Package Gnumed :: Package timelinelib :: Package view :: Module scrolldrag :: Class ScrollByDragInputHandler |
[frames] | no frames]

# Class ScrollByDragInputHandler

source code

                   object --+
                            |
    inputhandler.InputHandler --+
                                |
                               ScrollByDragInputHandler

Instance Methods
__init__(self, controller, start_time) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
mouse_moved(self, x, y, alt_down=False) | source code
left_mouse_up(self) | source code
Inherited from `inputhandler.InputHandler`: `balloon_hide_timer_fired`, `balloon_show_timer_fired`, `dragscroll_timer_fired`, `left_mouse_down` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, controller, start_time) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### mouse_moved(self, x, y, alt_down=False) | source code
Overrides: inputhandler.InputHandler.mouse_moved

### left_mouse_up(self) | source code
Overrides: inputhandler.InputHandler.left_mouse_up